# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(DynaLoader.pm) perl(ExtUtils/MakeMaker.pm) perl(Scalar/Util.pm) perl(Test.pm) perl(Tk.pm) perl(Tk/ItemStyle.pm) perl(Tk/Tree.pm) perl(Tk/widgets.pm) perl(base.pm) xvfb-run
# END SourceDeps(oneline)
%ifndef _build_display
%def_without test
%endif
%define module_version 0.06
%define module_name Tk-DataTree
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt7
Summary: A tree widget for arbitrary data structures
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MH/MHX/%{module_name}-%{module_version}.tar.gz

%description
The Tk::DataTree class is a derivate of the Tk::Tree manpage intended
for displaying arbitrary data structures.
It's a bit like having the Data::Dumper manpage as a Tk widget.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build
xvfb-run -a make test

%install
%perl_vendor_install

%files
%doc Changes TODO README
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.06-alt7
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.06-alt6
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.06-alt5.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.06-alt4.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.06-alt4
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.06-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.06-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.06-alt2
- rebuild to get rid of unmets

* Tue May 20 2014 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

